com.threerings.micasa.simulator.client

## Class SimpleClient

- java.lang.Object
- - com.threerings.micasa.simulator.client.SimpleClient

All Implemented Interfaces:
  SimulatorClient

    public class SimpleClient
    extends Object
    implements SimulatorClient

### Constructor Summary

Constructors
Constructor and Description
`SimpleClient(SimulatorFrame frame)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParlorContext` `getParlorContext()` Returns a reference to the context in effect for this client.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleClient

    public SimpleClient(SimulatorFrame frame)
                 throws IOException

Throws:
  `IOException`

### Method Detail

#### getParlorContext

    public ParlorContext getParlorContext()

Returns a reference to the context in effect for this client. This reference is valid for the lifetime of the application.

Specified by:
  `getParlorContext` in interface `SimulatorClient`